For the complete documentation index, see llms.txt. This page is also available as Markdown.

Burn Blocks

Read-only endpoints to obtain burn block details

Get burn blocks

get

Retrieves a list of recent burn blocks

Query parameters
limitinteger · max: 30Optional

Results per page

Default: 20
offsetintegerOptional

Result offset

Default: 0
Responses
200

Default Response

application/json
limitintegerRequiredExample: 20
offsetintegerRequiredExample: 0
totalintegerRequiredExample: 1
get/extended/v2/burn-blocks/
GET /extended/v2/burn-blocks/ HTTP/1.1
Host: api.hiro.so/
Accept: */*
{
  "limit": 20,
  "offset": 0,
  "total": 1,
  "results": [
    {
      "burn_block_time": 1,
      "burn_block_time_iso": "text",
      "burn_block_hash": "text",
      "burn_block_height": 1,
      "stacks_blocks": [
        "text"
      ],
      "avg_block_time": 1,
      "total_tx_count": 1
    }
  ]
}

Get burn block

get

Retrieves a single burn block

Path parameters
height_or_hashany ofRequired
string · enumOptionalPossible values:
or
stringOptional

Burn block hash

Example: 0000000000000000000452773967cdd62297137cdaf79950c5e8bb0c62075133Pattern: ^(0x)?[a-fA-F0-9]{64}$
or
integerOptional

Burn block height

Example: 777678
Responses
200

Default Response

application/json
burn_block_timeintegerRequired

Unix timestamp (in seconds) indicating when this block was mined.

burn_block_time_isostringRequired

An ISO 8601 (YYYY-MM-DDTHH:mm:ss.sssZ) indicating when this block was mined.

burn_block_hashstringRequired

Hash of the anchor chain block

burn_block_heightintegerRequired

Height of the anchor chain block

stacks_blocksstring[]Required

Hashes of the Stacks blocks included in the burn block

avg_block_timeintegerRequired

Average time between blocks in seconds. Returns 0 if there is only one block in the burn block.

total_tx_countintegerRequired

Total number of transactions in the Stacks blocks associated with this burn block

get/extended/v2/burn-blocks/{height_or_hash}
GET /extended/v2/burn-blocks/{height_or_hash} HTTP/1.1
Host: api.hiro.so/
Accept: */*
{
  "burn_block_time": 1,
  "burn_block_time_iso": "text",
  "burn_block_hash": "text",
  "burn_block_height": 1,
  "stacks_blocks": [
    "text"
  ],
  "avg_block_time": 1,
  "total_tx_count": 1
}

Get blocks by burn block

get

Retrieves a list of blocks confirmed by a specific burn block

Path parameters
height_or_hashany ofRequired
string · enumOptionalPossible values:
or
stringOptional

Burn block hash

Example: 0000000000000000000452773967cdd62297137cdaf79950c5e8bb0c62075133Pattern: ^(0x)?[a-fA-F0-9]{64}$
or
integerOptional

Burn block height

Example: 777678
Query parameters
limitinteger · max: 30Optional

Results per page

Default: 20
offsetintegerOptional

Result offset

Default: 0
Responses
200

Default Response

application/json
limitintegerRequiredExample: 20
offsetintegerRequiredExample: 0
totalintegerRequiredExample: 1
get/extended/v2/burn-blocks/{height_or_hash}/blocks
GET /extended/v2/burn-blocks/{height_or_hash}/blocks HTTP/1.1
Host: api.hiro.so/
Accept: */*
{
  "limit": 20,
  "offset": 0,
  "total": 1,
  "results": [
    {
      "canonical": true,
      "height": 1,
      "hash": "text",
      "block_time": 1,
      "block_time_iso": "text",
      "tenure_height": 1,
      "index_block_hash": "text",
      "parent_block_hash": "text",
      "parent_index_block_hash": "text",
      "burn_block_time": 1,
      "burn_block_time_iso": "text",
      "burn_block_hash": "text",
      "burn_block_height": 1,
      "miner_txid": "text",
      "tx_count": 1,
      "execution_cost_read_count": 1,
      "execution_cost_read_length": 1,
      "execution_cost_runtime": 1,
      "execution_cost_write_count": 1,
      "execution_cost_write_length": 1
    }
  ]
}

Last updated

Was this helpful?